CVE-2008-0122 Detail

Current Description

Off-by-one error in the inet_network function in libbind in ISC BIND 9.4.2 and earlier, as used in libc in FreeBSD 6.2 through 7.0-PRERELEASE, allows context-dependent attackers to cause a denial of service (crash) and possibly execute arbitrary code via crafted input that triggers memory corruption.


View Analysis Description

Severity



CVSS 3.x Severity and Metrics:

NIST CVSS score
NIST: NVD
Base Score:  N/A
NVD score not yet provided.


NVD Analysts use publicly available information to associate vector strings and CVSS scores. We also display any CVSS information provided within the CVE List from the CNA.

Note: NVD Analysts have not published a CVSS score for this CVE at this time. NVD Analysts use publicly available information at the time of analysis to associate CVSS vector strings.

Vendor Statements (disclaimer)

Official Statement fromRed Hat (05/21/2008)

This issue did not affect the versions of GNU libc as shipped with Red Hat Enterprise Linux 2.1, 3, 4, or 5. This issue affects the versions of libbind as shipped with Red Hat Enterprise Linux 2.1, 3, 4, and 5, however the vulnerable function is not used by any shipped applications. The Red Hat Security Response Team has therefore rated this issue as having low security impact, a future update may address this flaw. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=CVE-2008-0122 An update to Red Hat Enterprise Linux 5 was released to correct this issue: https://rhn.redhat.com/errata/RHSA-2008-0300.html

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://lists.opensuse.org/opensuse-security-announce/2008-03/msg00004.html Mailing List  Third Party Advisory 
http://security.freebsd.org/advisories/FreeBSD-SA-08:02.libc.asc Patch  Vendor Advisory 
http://sunsolve.sun.com/search/document.do?assetkey=1-26-238493-1 Broken Link 
http://support.avaya.com/elmodocs2/security/ASA-2008-244.htm Third Party Advisory 
http://www.isc.org/index.pl?/sw/bind/bind-security.php Vendor Advisory 
http://www.kb.cert.org/vuls/id/203611 Third Party Advisory  US Government Resource 
http://www.redhat.com/support/errata/RHSA-2008-0300.html Third Party Advisory 
http://www.securityfocus.com/archive/1/487000/100/0/threaded Third Party Advisory  VDB Entry 
http://www.securityfocus.com/bid/27283 Patch  Third Party Advisory  VDB Entry 
http://www.securitytracker.com/id?1019189 Third Party Advisory  VDB Entry 
http://www.vupen.com/english/advisories/2008/0193 Permissions Required 
http://www.vupen.com/english/advisories/2008/0703 Permissions Required 
http://www.vupen.com/english/advisories/2008/1743/references Permissions Required 
http://www14.software.ibm.com/webapp/set2/subscriptions/ijhifoeblist?mode=7&heading=AIX61&path=/200802/SECURITY/20080227/datafile123640&label=AIX%20libc%20inet_network%20buffer%20overflow Third Party Advisory 
http://www14.software.ibm.com/webapp/set2/subscriptions/pqvcmjd?mode=18&ID=4167 Third Party Advisory 
https://bugzilla.redhat.com/show_bug.cgi?id=429149 Issue Tracking  Third Party Advisory 
https://exchange.xforce.ibmcloud.com/vulnerabilities/39670 Third Party Advisory  VDB Entry 
https://h20564.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c04952488 Third Party Advisory 
https://issues.rpath.com/browse/RPL-2169 Third Party Advisory 
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10190 Third Party Advisory 
https://www.redhat.com/archives/fedora-package-announce/2008-January/msg00781.html Third Party Advisory 
https://www.redhat.com/archives/fedora-package-announce/2008-January/msg00782.html Third Party Advisory 

Weakness Enumeration

CWE-ID CWE Name Source
CWE-189 Numeric Errors cwe source acceptance level NIST  

Known Affected Software Configurations Switch to CPE 2.2

CPEs loading, please wait.

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

8 change records found show changes

Quick Info

CVE Dictionary Entry:
CVE-2008-0122
NVD Published Date:
01/15/2008
NVD Last Modified:
08/01/2019
Source:
MITRE